Turnstile Widget Details
GET/accounts/{account_id}/challenges/widgets/{sitekey}
Show a single challenge widget configuration.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Turnstile Widget Details
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/challenges/widgets/$SITEKEY \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"bot_fight_mode": false,
"clearance_level": "interactive",
"created_on": "2014-01-01T05:20:00.123123Z",
"domains": [
"203.0.113.1",
"cloudflare.com",
"blog.example.com"
],
"ephemeral_id": false,
"mode": "invisible",
"modified_on": "2014-01-01T05:20:00.123123Z",
"name": "blog.cloudflare.com login form",
"offlabel": false,
"region": "world",
"secret": "0x4AAF00AAAABn0R22HWm098HVBjhdsYUc",
"sitekey": "0x4AAF00AAAABn0R22HWm-YUc"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"bot_fight_mode": false,
"clearance_level": "interactive",
"created_on": "2014-01-01T05:20:00.123123Z",
"domains": [
"203.0.113.1",
"cloudflare.com",
"blog.example.com"
],
"ephemeral_id": false,
"mode": "invisible",
"modified_on": "2014-01-01T05:20:00.123123Z",
"name": "blog.cloudflare.com login form",
"offlabel": false,
"region": "world",
"secret": "0x4AAF00AAAABn0R22HWm098HVBjhdsYUc",
"sitekey": "0x4AAF00AAAABn0R22HWm-YUc"
}
}